DelegateTask
POST
/api/v1/t/{tenant}/workflows/tasks/{taskId}/delegate
const url = 'https://example.com/api/v1/t/example/workflows/tasks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/delegate';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"delegateUserId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","comment":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/t/example/workflows/tasks/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/delegate \ --header 'Content-Type: application/json' \ --data '{ "delegateUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "comment": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”tenant
required
string
Tenant slug
taskId
required
string format: uuid
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
delegateUserId
required
string format: uuid
comment
required
null | string
Examplegenerated
{ "delegateUserId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "comment": "example"}Responses
Section titled “ Responses ”No Content
Forbidden
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
Too Many Requests
Media typeapplication/problem+json
object
type
null | string
title
null | string
status
null | integer format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}